#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-2 hidden-mobile">#{include 'pl/filter-user.html'/}</div>

		<div class="col-md-10">
			<!-- Toolbar -->
			<div class="toolbar">
				<a href="@{create()}" class="btn btn-primary btn-md"><i
					class="fa fa-plus"></i> &{'tambah.label'} &{'pengguna.label'}</a>
			</div>
			<!-- End Toolbar -->

			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body hidden-mobile" style="overflow-x:auto;">
					<!-- Data Table -->
					<table class="table table-condensed table-striped" id="tblUser">
						<thead>
							<tr>
								<th class="header-left header-no-padding">&{'nomor.label'}</th>
								<th class="header-left header-no-padding">&{'nama_lengkap.label'}</th>
								<th class="header-left header-no-padding">&{'nama_pengguna.label'}</th>
								<th class="header-left header-no-padding">&{'email.label'}</th>
								<th class="header-left header-no-padding">&{'peran.label'}</th>
								<th class="header-left header-no-padding">&{'grup_peran.label'}</th>
								<th class="header-left header-no-padding">&{'status.label'}</th>
								<th class="header-center header-no-padding">&{'aksi.label'}</th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
				<div class="panel-body only-mobile" style="overflow-x:auto;">
					<!-- Data Table -->
					<table class="table table-condensed table-striped" id="tblUserMobile">
						<thead>
						<tr>
							<th class="header-left header-no-padding">&{'nomor.label'}</th>
							<th class="header-left header-no-padding">&{'nama_lengkap.label'}</th>
							<th class="header-left header-no-padding">&{'nama_pengguna.label'}</th>
							<th class="header-left header-no-padding">&{'email.label'}</th>
							<th class="header-left header-no-padding">&{'peran.label'}</th>
							<th class="header-left header-no-padding">&{'grup_peran.label'}</th>
							<th class="header-left header-no-padding">&{'status.label'}</th>
							<th class="header-center header-no-padding">&{'aksi.label'}</th>
						</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>
	<div class="btn-footer">
		<div class="row">
			<div class="col-xs-12">
				<a href="#" onclick="openFilterAdminUser()">Filter</a>
			</div>
		</div>
	</div>
	<div class="faq" id="mobile-sidebar">
		<div class="mobile-navigation-bar">
			<a href="#" onclick="closeSidebar()">
				<i class="fa fa-arrow-circle-left"></i> &{'pengguna.label'}
			</a>
		</div>
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12 col-sm-12">
					#{include 'pl/filter-user.html'/}
				</div>
			</div>
		</div>
	</div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">

    var deleteUrl = #{jsRoute @admin.UserCtr.delete(':userId') /};
    var editUrl = #{jsRoute @admin.UserCtr.edit(':userId') /};

    jQuery(document).ready(function($) {

        $("#tblUser").dataTable({
            "searching": false,
            ajax: {
                url:'@{controllers.admin.user.UserDataTableCtr.cariUser()}',
                method: "POST",
                data: function (d) {
                    d.model = {};
                    d.model.keyword = $(".hidden-mobile #keyword").val();
                    d.model.role = $(".hidden-mobile #role").val();
                    d.model.groupRole = $(".hidden-mobile #group-role").val();
                    d.model.overrideCommodity = $(".hidden-mobile #over-commodity").val();
                    d.model.overrideGroupRole = $(".hidden-mobile #over-group").val();
                    d.model.overridePackage = $(".hidden-mobile #over-package").val();
                },
                cache: true},
            order: [[ 1, "asc" ], [ 1, "asc" ]],
            columns: [
                {
                    "searchable" : false, "className": "header-center",
                    render: function(data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
                {"searchable": true},
                {"searchable": false },
                {"searchable": false },
                {"searchable": true},
                {"searchable": false },
                {"searchable": false },
                {
                    "searchable": false,
                    render: function(data, type, row) {
                        var userId = row[0];
                        return  '<a class="column-center" href="'+editUrl.url({userId:userId})+'">' +
                                '<span class="label label-primary">Edit</span></a>'+
                        	       '<a class="column-center" href="'+deleteUrl.url({userId:userId})+'" ' +
                                'onclick="return confirm(\'Apa anda yakin ingin menonaktifkan user ini?\')">' +
                                '<span class="label label-danger">Non Aktifkan</span></a>'+
                                '';
                    }
                }
            ]
        });

		$("#tblUserMobile").dataTable({
			"searching": false,
			ajax: {
				url:'@{controllers.admin.user.UserDataTableCtr.cariUser()}',
				method: "POST",
				data: function (d) {
					d.model = {};
					d.model.keyword = $("#mobile-sidebar #keyword").val();
					d.model.role = $("#mobile-sidebar #role").val();
					d.model.groupRole = $("#mobile-sidebar #group-role").val();
					d.model.overrideCommodity = $("#mobile-sidebar #over-commodity").val();
					d.model.overrideGroupRole = $("#mobile-sidebar #over-group").val();
					d.model.overridePackage = $("#mobile-sidebar #over-package").val();
				},
				cache: true},
			order: [[ 1, "asc" ], [ 1, "asc" ]],
			columns: [
				{
					"searchable" : false, "className": "header-center",
					render: function(data, type, row, meta) {
						return meta.row + meta.settings._iDisplayStart + 1 + ".";
					}
				},
				{"searchable": true},
				{"searchable": false },
				{"searchable": false },
				{"searchable": true},
				{"searchable": false },
				{"searchable": false },
				{
					"searchable": false,
					render: function(data, type, row) {
						var userId = row[0];
						return  '<a class="column-center" href="'+editUrl.url({userId:userId})+'">' +
								'<span class="label label-primary">Edit</span></a>'+
								'<a class="column-center" href="'+deleteUrl.url({userId:userId})+'" ' +
								'onclick="return confirm(\'Apa anda yakin ingin menonaktifkan user ini?\')">' +
								'<span class="label label-danger">Non Aktifkan</span></a>'+
								'';
					}
				}
			]
		});

        $(".hidden-mobile #submitBtn").on("click", function () {
            $("#tblUser").DataTable().ajax.reload();
        });
		$("#mobile-sidebar #submitBtn").on("click", function () {
			$("#tblUserMobile").DataTable().ajax.reload();
			closeSidebar();
		});

        $('.hidden-mobile #keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('.hidden-mobile #submitBtn').click();
                return false;
            }
            return;
        });

		$('#mobile-sidebar #keyword').keypress(function(event){
			var keycode = event.keyCode || event.which;
			if(keycode == '13') {
				$('#mobile-sidebar #submitBtn').click();
				closeSidebar();
				return false;
			}
			return;
		});

    });
</script>
#{/set}
